> For the complete documentation index, see [llms.txt](https://apidocs.akinon.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://apidocs.akinon.com/seller-center/shipping-methods.md).

# Shipping Methods

## GET /i1/shipping-methods/

> SHP001: Get Shipping Methods

```json
{"openapi":"3.1.0","info":{"title":"Seller Center Integration API","version":"1.0.1"},"servers":[{"url":"https://{domain}/api","variables":{"domain":{"default":"sandbox.akinon.com"}}}],"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"language":{"name":"Accept-Language","in":"header","required":false,"description":"Specifies the communication language of the API.","schema":{"type":"string"}},"page":{"name":"page","in":"query","required":false,"description":"Specifies the page number of the current dataset.","schema":{"type":"integer","minimum":1,"default":1}},"limit":{"name":"limit","in":"query","required":false,"description":"Specifies the row count of the current page.","schema":{"type":"integer","minimum":1,"default":10}},"updated_at":{"name":"updated_at","description":"Filters data where the \"updated_at\" field is exactly equal to a specified value.","in":"query","required":false,"schema":{"type":"string","format":"date-time"}},"updated_at__gt":{"name":"updated_at__gt","description":"Filters data where the \"updated_at\" field is greater than a specified value.","in":"query","required":false,"schema":{"type":"string","format":"date-time"}},"updated_at__gte":{"name":"updated_at__gte","description":"Filters data where the \"updated_at\" field is greater than or equal to a specified value.","in":"query","required":false,"schema":{"type":"string","format":"date-time"}},"updated_at__lt":{"name":"updated_at__lt","description":"Filters data where the \"updated_at\" field is less than a specified value.","in":"query","required":false,"schema":{"type":"string","format":"date-time"}},"updated_at__lte":{"name":"updated_at__lte","description":"Filters data where the \"updated_at\" field is less than or equal to a specified value.","in":"query","required":false,"schema":{"type":"string","format":"date-time"}},"created_at":{"name":"created_at","description":"Filters data where the \"created_at\" field is exactly equal to a specified value.","in":"query","required":false,"schema":{"type":"string","format":"date-time"}},"created_at__gt":{"name":"created_at__gt","description":"Filters data where the \"created_at\" field is greater than a specified value.","in":"query","required":false,"schema":{"type":"string","format":"date-time"}},"created_at__gte":{"name":"created_at__gte","description":"Filters data where the \"created_at\" field is greater than or equal to a specified value.","in":"query","required":false,"schema":{"type":"string","format":"date-time"}},"created_at__lt":{"name":"created_at__lt","description":"Filters data where the \"created_at\" field is less than a specified value.","in":"query","required":false,"schema":{"type":"string","format":"date-time"}},"created_at__lte":{"name":"created_at__lte","description":"Filters data where the \"created_at\" field is less than or equal to a specified value.","in":"query","required":false,"schema":{"type":"string","format":"date-time"}}},"schemas":{"_Pagination":{"type":"object","properties":{"count":{"type":"integer","description":"Indicates the number of objects that match the criteria specified in the request."},"next":{"type":"string","format":"uri","description":"Indicates the next page URL that points to the location of the next set of results."},"previous":{"type":"string","format":"uri","description":"Indicates the previous page URL that points to the location of the next set of results."}}},"ShippingMethod":{"properties":{"id":{"type":"string","format":"uuid","description":"Unique identifier for the shipping method."},"shipping_option":{"type":"string","description":"Type or name of the shipping option."},"shipping_company":{"type":"string","description":"Name of the shipping company providing the shipping method."},"priority":{"type":"integer","description":"Priority level or order for the shipping method."},"updated_at":{"type":"string","format":"date-time","description":"Timestamp indicating when the shipping method was last updated."},"created_at":{"type":"string","format":"date-time","description":"Timestamp indicating when the shipping method was created."}}}},"responses":{"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"type":"string","description":"Includes detailed explanation of the error."},"code":{"type":"string","description":"Represents server-side error code."}}}}}},"500":{"description":"Unexpected error."}}},"paths":{"/i1/shipping-methods/":{"get":{"tags":["Shipping Methods"],"operationId":"SHP001","summary":"SHP001: Get Shipping Methods","parameters":[{"$ref":"#/components/parameters/language"},{"$ref":"#/components/parameters/page"},{"$ref":"#/components/parameters/limit"},{"$ref":"#/components/parameters/updated_at"},{"$ref":"#/components/parameters/updated_at__gt"},{"$ref":"#/components/parameters/updated_at__gte"},{"$ref":"#/components/parameters/updated_at__lt"},{"$ref":"#/components/parameters/updated_at__lte"},{"$ref":"#/components/parameters/created_at"},{"$ref":"#/components/parameters/created_at__gt"},{"$ref":"#/components/parameters/created_at__gte"},{"$ref":"#/components/parameters/created_at__lt"},{"$ref":"#/components/parameters/created_at__lte"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/_Pagination"},{"type":"object","properties":{"results":{"type":"array","items":{"type":"object","$ref":"#/components/schemas/ShippingMethod"}}}}]}}}},"401":{"$ref":"#/components/responses/401"},"500":{"$ref":"#/components/responses/500"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://apidocs.akinon.com/seller-center/shipping-methods.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
